Search documentation of phoenix_kit

# PhoenixKitWeb.Live.Modules.Entities.EntitiesSettings (phoenix_kit v1.6.19)

View Source

LiveView for managing entities system settings and configuration. Provides interface for enabling/disabling entities module and viewing statistics.

# Summary

## Functions

format_retention_period(days)
handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

handle_info(arg, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

setting_status_class(enabled)
setting_status_text(enabled)

# Functions

# format_retention_period(days)

# handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

# handle_info(arg, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

# mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

# render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

# setting_status_class(enabled)

# setting_status_text(enabled)